<template>
	<div class="w100 h100 box-border text-[14px] bg-[#f7f8fa] relative pr-[32px] pb-[50px] pl-[32px] pt-[42px] w100">
		<div class="about-us-container">
			<div class="about-us-box flex flex-col">
				<h1>公司简介</h1>
			
				<div class="us">
					<div class="flex-1 min-w-0">
						<h2>关于上海拉瓦锡卡文智能科技有限公司</h2>
						<p>
							上海拉瓦锡卡文智能科技有限公司，是一家基于AI专注数据处理、数据分析、数据治理的科技公司（WaterData+AI），致力于为水务行业提供WI水务智能应用，是智慧水务数据的挖掘者。
						</p>
						<!-- <div class="mt-[12px] flex" v-for="(item, index) in state.usList" :key="item.ID">
							<i :class="`ywifont ${item.icon} mr-[8px] !text-[18px]`"></i>
							<div class="info_item_title">{{ item.title }}</div>
							<div class="info_item">{{ item.content }}</div>
						</div> -->
					</div>
					
				</div>
			</div>
		</div>
	</div>
</template>

<script setup lang="ts">
import { reactive } from 'vue';

let state = reactive({
	usList: [
		{
			ID: 1,
			icon: 'ywicon-dianhua',
			title: '联系方式:',
			content: '023-98657832',
		},
		{
			ID: 2,
			icon: 'ywicon-youxiang',
			title: '商务合作:',
			content: 'smh@eventech.cn',
		},
		{
			ID: 3,

			icon: 'ywicon-dizhi',
			title: '公司地址:',
			content: '上海时闵行区江月路999号奇亚特科技园1号楼615室',
		},
	],
	rcList: ['/static/images/wave/copyright.jpg'],
});
</script>
<style scoped lang="scss">
.about-us-container {
	--title: 14px;
	--normal: 12px;
	--gap: 12px;
	--maxWidth: 864px;
	--color: #5dccef;
	--color2: #76d587;
	width: 100%;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	box-sizing: border-box;
	padding: 0 24px;
	height: calc(100% - 42px);
	align-items: center;
	overflow-y: auto;
	.about-us-box {
		margin: auto 0;
		max-width: 864px;
		padding: 24px 0;
		h1 {
			font-size: 18px;
			font-weight: 600;
			color: #333;
		}
		.product_item {
			box-sizing: border-box;
			min-width: 0;
			width: calc(50% - var(--gap) / 2);
			padding: var(--gap);
			border-radius: 8px;
			color: #fff;

			.product_item:first-child {
				color: var(--color);
			}
			.product_item:nth-child(2) {
				color: var(--color2);
				--hoverColor: rgba();
			}
		}
		.row_layout {
			display: -webkit-box;
			display: -ms-flexbox;
			display: flex;
			align-items: flex-start;
			gap: var(--gap);
			.code {
				padding: 0 2px;
				-ms-flex-item-align: center;
				align-self: center;
				display: flex;
				-webkit-box-orient: vertical;
				-webkit-box-direction: normal;
				-ms-flex-direction: column;
				flex-direction: column;
				-webkit-box-align: end;
				-ms-flex-align: end;
				align-items: flex-end;
				p {
					font-size: 12px;
					margin-top: 4px;
					color: #ffffffd9;
					white-space: nowrap;
				}
			}
		}
		.content {
			flex: 1;
			min-width: 0;

			h2 {
				font-size: var(--title);
				line-height: 30px;
				font-weight: 600;
				font-family: Poppins;
			}
			p {
				text-align: justify;
				text-align-last: start;
				font-size: var(--normal);
				line-height: 18px;
				font-weight: 400;
				margin-top: 4px;
				color: hsla(0, 0%, 100%, 0.8);
			}
		}
		.btn {
			box-sizing: border-box;
			width: 100%;
			padding: 0px 8px;
			height: 30px;
			line-height: 25px;
			border-radius: 4px;
			background-color: #fff;
			cursor: pointer;
			display: flex;
			margin-top: 4px;
			align-items: center;
			justify-content: center;
			gap: 8px;
			font-size: 12px;
			margin-left: unset;
			text-decoration: none;

			-webkit-transition: all 0.3s;
			-o-transition: all 0.3s;
			transition: all 0.3s;
			font-size: 12px;
			white-space: nowrap;
		}
		.column_layout {
			display: flex;
			-webkit-box-orient: vertical;
			-webkit-box-direction: normal;
			-ms-flex-direction: column;
			flex-direction: column;
			-webkit-box-pack: justify;
			-ms-flex-pack: justify;
			justify-content: space-between;
			.top {
				display: flex;
				align-items: flex-start;
				gap: var(--gap);
			}
		}
		.us {
			margin-top: var(--gap);
			padding: var(--gap);
			min-width: 0;
			border-radius: 8px;
			background-color: #1d86ff;
			color: #fff;
			display: flex;
			align-items: center;
			gap: 24px;
			h2 {
				font-size: var(--title);
				line-height: 20px;
			}
			p {
				text-align: justify;
				-moz-text-align-last: start;
				text-align-last: start;
				font-size: var(--normal);
				line-height: 20px;
				margin-top: var(--gap);
				color: #ffffffd9;
			}
			.info_item_title {
				font-size: var(--normal);
				line-height: 20px;
				color: white;
				display: flex;
				font-weight: 800;
				align-items: center;
				margin-right: 4px;
			}
			.info_item {
				font-size: var(--normal);
				line-height: 20px;
				color: #ffffffd9;
				display: flex;
				align-items: center;
				margin-right: 4px;
			}
			.right {
				width: 200px;
				display: flex;

				align-items: center;
				flex-direction: column;
				.view {
					position: absolute;
					top: 0;
					left: 0;
					right: 0;
					bottom: 0;
					background-color: transparent;
					display: flex;
					align-items: center;
					justify-content: center;
					transition: background-color 0.2s;
					cursor: pointer;
					font-size: 12px;
					color: transparent;

					&:hover {
						background-color: rgba(0, 0, 0, 0.7);
						color: #fff;
					}
					i {
						transition: color 0.2s;
						margin-right: 4px;
					}
				}
			}
		}
	}
}
</style>
import item from 'element-plus/es/components/space/src/item';
